package com.huimv.modular.eartagdata.entity.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class EartagDataVo {


    /**
     * 记录id(主键)
     */
    private Integer id;
    /**
     * 耳标号
     */
    private String eartagNo;


    /**
     * 耳标号
     */
   // private String farmCode;

    /**
     * 耳标号
     */
 //   private String orgId;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     *时间--最后上传时间
     */

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date  time;
    /**
     * 耳标温度
     */
    private Double earTemp;
    /**
     *   电量
     */
    private Integer bat;
    /**
     *  环境温度
     */
    private Double envTemp;
    /**
     *信号强度
     */
    private Integer rssi;
    /**
     *  猪舍名称
     */
    private String penName;

    //单元名称

    private String unitName;

    private String farmName;


    //阶段
    private Integer stage;
    /**
     * 机器芯片id
     */
    private String registeCode;

    //阶段
    private Integer exercise;


    //单位时间内耳标数据上传次数----用来检测耳标的好坏
    private Integer countTimes;



    //单位时间内耳标数据上传次数----用来检测耳标的好坏
    private Integer earTempStatus;



}
