package com.huimv.modular.basefarminfo.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import lombok.Data;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-03-22 18:10:26
 */
@Data
@TableName("base_farm_info")
public class BaseFarmInfoEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 牧场编码
	 */
	private String farmCode;
	/**
	 * 牧场名称
	 */
	private String farmName;
	/**
	 * 联系人
	 */
	private String man;
	/**
	 * 联系电话
	 */
	private String phone;
	/**
	 * 区县   行政区划代码
	 */
	private String county;
	/**
	 * 地市   行政区划代码
	 */
	private String city;
	/**
	 * 备用
	 */
	private String province;

}
