package com.huimv.modular.collectorregister.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * TODO
 *
 * @author CodeYang.
 * @date 2022/5/6 11:08
 */

@Data
public class CollectorIndexVo {


    /**
     * 记录id(主键)
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 组织id
     */
    @Excel(name = "组织id")
    private Long orgId;

    /**
     * 组织名称
     */
    @Excel(name = "组织名称")
    private String orgName;

    /**
     * 设备编码
     */
    @Excel(name = "设备编码")
    private String deviceCode;

    /**
     * 盒子的芯片编码
     */
    @Excel(name = "盒子的芯片编码")
    private String registeCode;

    /**
     * 牧场编码
     */
    @Excel(name = "牧场编码")
    private String farmCode;

    /**
     * 牧场名称
     */
    @Excel(name = "牧场名称")
    private String farmName;

    /**
     * 动物种类
     */
    @Excel(name = "动物种类")
    private Integer typeF;

    /**
     * 阶段
     */
    @Excel(name = "阶段")
    private Integer stage;

    /**
     * 猪舍id
     */
    @Excel(name = "猪舍id")
    private Integer pigpenId;


    /**
     *   平均温度  2.23添加的这个参数
     */
    @Excel(name = "近期平均温度")
    private double envTemp;

    /**
     * 栋舍名称
     */
    @Excel(name = "栋舍名称")
    private String penName;

    /**
     * 单元id
     */
    @Excel(name = "单元id")
    private Integer unitId;

    /**
     * 单元名称
     */
    @Excel(name = "单元名称")
    private String unitName;

    /**
     * 上传服务器地址
     */
    @Excel(name = "上传服务器地址")
    private String serverIp;

    /**
     * 端口
     */
    @Excel(name = "端口")
    private Integer port;

    /**
     * 注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date registerTime;

    /**
     * 最后上传时间
     */

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lastTime;
    /**
     * 0:正常,1:网络异常,2:采集异常,3:注销
     */
    @Excel(name = "状态")
    private Integer canStatus;


    /**
     * 耳标总数
     */
    private Integer totalEartag;



}
